class
	ANTLR_TRANSFORMATION_UTILITIES

inherit
	ANTLR_AST_TYPE_CONSTANTS

feature {ANY}

	process_specifier_qualifier_list (node: ANTLR_AST_NODE; parent: AST_NODE) : LIST [ AST_DECLARATION_SPECIFIER ]
		require
			node /= Void and then node.type = Art_specifier_qualifier_list
		local
			cur: ANTLR_AST_NODE
		do
			from
				create {LINKED_LIST [ AST_DECLARATION_SPECIFIER ]}Result.make
				node.children.start
			until
				node.children.after
			loop
				cur := node.children.item
				inspect
					cur.type
				when Art_type_qualifier then
				when Art_type_specifier then
					Result.extend (create {AST_TYPE_SPECIFIER}.make_from_antlr (cur, parent))
				end
				node.children.forth
			end
		ensure
			Result /= Void and then not Result.is_empty
		end

end
