class
	AST_STRUCT_DECLARATOR

inherit
	AST_NODE
	ANTLR_TRANSFORMATION_UTILITIES

create
	make_from_antlr

feature {NONE}

	make_from_antlr (node: ANTLR_AST_NODE; init_parent: AST_NODE)
		require
			node /= Void and then node.type = Art_struct_declarator
		do
			make_root (init_parent)
			inspect
				node.children.count
			when 1 then
				create declarator.make_from_antlr (node.children.first, Current)
			when 2 then
			when 3 then
				create declarator.make_from_antlr (node.children.first, Current)
			end
		end

feature {ANY}

	declarator: AST_DECLARATOR

feature {ANY} -- AST_NODE

	accept (v: AST_VISITOR)
		local
			visit_children: BOOLEAN
		do
			v.pre_visit (Current)
			visit_children := v.visit_struct_declarator (Current)
			if visit_children then
				if declarator /= Void then
					declarator.accept (v)
				end
			end
			v.end_visit_struct_declarator (Current)
			v.post_visit (Current)
		end

end
