class
	AST_DECLARATOR

inherit
	AST_NODE

create
	make_from_antlr

feature {NONE}

	make_from_antlr (node: ANTLR_AST_NODE; init_parent: AST_NODE)
		require
			node /= Void and then node.type = Art_declarator
		do
			make_root (init_parent)
			if node.children.first.type = Art_pointer then
				if node.children.count = 2 then
					create direct_declarator.make_from_antlr (node.children.i_th (2), Current)
				end
			else
				create direct_declarator.make_from_antlr (node.children.first, Current)
			end
		end

feature {ANY}

	direct_declarator: AST_DIRECT_DECLARATOR

feature {ANY} -- AST_NODE

	accept (v: AST_VISITOR)
		local
			visit_children: BOOLEAN
		do
			v.pre_visit (Current)
			visit_children := v.visit_declarator (Current)
			if visit_children then
				if direct_declarator /= Void then
					direct_declarator.accept (v)
				end
			end
			v.end_visit_declarator (Current)
			v.post_visit (Current)
		end

end
